Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Class JvmFinishedEvent

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
          org.apache.hadoop.mapreduce.server.tasktracker.userlogs.JvmFinishedEvent

    public class JvmFinishedEvent

extends UserLogEvent

This is an `UserLogEvent` sent when the jvm finishes.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`UserLogEvent.EventType`

Constructor Summary
`JvmFinishedEvent(JVMInfo jvmInfo)` Create the event to inform that the jvm has finished.

Method Summary
`JVMInfo` | `getJvmInfo()` Get the jvm info.

Methods inherited from class org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogEvent
`getEventType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JvmFinishedEvent

    public JvmFinishedEvent(JVMInfo jvmInfo)

  Create the event to inform that the jvm has finished.

  Parameters:
    `jvmInfo` - The finished `JVMInfo`

Method Detail

### getJvmInfo

    public JVMInfo getJvmInfo()

  Get the jvm info.

  Returns:
    object of `JVMInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation